#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>

int main()
{
   int p, q, r;
    int L, R, count = 0, i;
    scanf("%d %d %d %d %d", &p, &q, &r, &L, &R);
    for(i = L; i <= R; i++)
    {
        if(ceil((double)i/p) + ceil((double)i/r) + ceil((double)i/q) <= i) count++;
    }
    printf("%d", count);
}